import { SchemaDirectiveVisitor } from '@graphql-tools/utils';
import { GraphQLDirective, GraphQLField, GraphQLScalarType, GraphQLSchema } from 'graphql';
/**
 * Apply directive to paticular field.
 */
export declare class CanDirective extends SchemaDirectiveVisitor {
    /**
     * internal function, be called to get directive info.
     * You should also implicit define directive in the GraphQL SDL after graphql-js 14.0.0
     * @param directiveName
     * @param schema
     */
    static getDirectiveDeclaration(directiveName: string, schema: GraphQLSchema): GraphQLDirective | null | undefined;
    /**
     * internal function, be called to visit fields.
     * @param field
     */
    visitFieldDefinition(field: GraphQLField<any, any>): GraphQLField<any, any> | void | null;
}
/**
 * Override GraphQLScalarType, used to judge if current node have directive.
 */
export declare class CanVisitType extends GraphQLScalarType {
    constructor(type: GraphQLScalarType);
}
