import { GraphQLResolveInfo } from 'graphql';
import { Enforcer } from 'casbin';
export declare const CasbinContextPathCacheKey = "_casbinPathCache";
export declare const CasbinContextEnforcerKey = "_casbinEnforcer";
export declare const CasbinContextRoleKey = "_casbinRole";
export declare const CasbinAuthTypeName = "CasbinCanVisit";
/**
 * Get the full path of current endpoint by GraphQLResolveInfo.
 * @param info GraphQLResolveInfo
 */
export declare const Info2Path: (info: GraphQLResolveInfo) => string;
/**
 * Create key with endpoint path and action.
 * @param path
 * @param action
 */
export declare const PathAndAction2Key: (path: string, action: string) => string;
/**
 * use policies to build path cache. This can get additional performance optimize.
 * @param CasbinInstance
 */
export declare const buildPathCache: (CasbinInstance: Enforcer) => Promise<Array<string>>;
